corda / net.corda.core.testing / AmountGenerator

# AmountGenerator

`class AmountGenerator<T> : Generator<Amount<T>>`

### Constructors

<init> | `AmountGenerator(tokenGenerator: Generator<T>)`

### Properties

tokenGenerator | `val tokenGenerator: Generator<T>`

### Functions

generate | `fun generate(random: SourceOfRandomness, status: GenerationStatus): Amount<T>`

### Extension Functions

generateList | `fun <A> Generator<A>.generateList(random: SourceOfRandomness, status: GenerationStatus): List<A>` Generators for quickcheck